# CityBike System Data
## 0. Accès au données:
Pour une description des données, vous pouvez consulter le lien suivant: [lien](https://citibikenyc.com/system-data).

Pour un accès direct au données au format csv, vous pouvez consulter le lien suivant: [lien](https://s3.amazonaws.com/tripdata/index.html)

## 1. Description du jeu de données
Le jeu de données provient du service de vélos en libre-service CityBike. Chaque enregistrement décrit un trajet de vélo, avec les informations suivantes :  
- Identifiant de la course (Ride ID)  
- Type de vélo (Rideable type)  
- Heure de départ et d’arrivée (Started at, Ended at)  
- Stations de départ et d’arrivée (noms, IDs, coordonnées GPS)  
- Type d’utilisateur (membre ou non)  

## 2. Cas d’utilisation principal
### 2.1. Description
**Prévision (simple) de la demande en vélos**  
Estimer le nombre de vélos requis à une station pour une plage horaire donnée (par exemple, par jour ou par heure).

### 2.2. Algorithmes et techniques suggérées
1. **Régression linéaire**  
   - Utiliser la régression linéaire pour modéliser la demande en fonction du temps (heure de la journée, jour de la semaine, etc.).  
   - Possibilité d’ajouter des variables explicatives simples (météo, événements particuliers, etc.) si elles sont disponibles.

2. **k-Nearest Neighbors (KNN)**  
   - Utiliser KNN pour prédire la demande en se basant sur des périodes similaires dans le passé (par exemple : heure + jour de la semaine).  
   - Calculer la moyenne des valeurs cibles des voisins pour obtenir une estimation.
